## emacs 26.3%2B1-1ubuntu2%2B10.0trisquel1

=== debian/changelog ===
emacs (1:26.3+1-1ubuntu2+10.0trisquel1) nabia; urgency=medium

  * Adjust emacs suggestion to emacs-common-gfdl

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 05 Mar 2022 13:49:29 +0000

emacs (1:26.3+1-1ubuntu2) focal; urgency=medium

  * Run 'python3' as default Python command instead of 'python'

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 25 Mar 2020 22:45:59 +0100

emacs (1:26.3+1-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
    - Limit optimization on ppc64el to fix test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Sep 2019 09:25:41 +0200

emacs (1:26.3+1-1) unstable; urgency=medium

  * Merge upstream version 26.3. (Closes: 939737)

  * Update debian/copyright for 26.3.

  * Update debian/control for 26.3.

  * Don't override the upstream EPLA packaging key anymore.  Emacs 26.3
    has the correct version.

 -- Rob Browning <rlb@defaultvalue.org>  Mon, 09 Sep 2019 20:17:48 -0500

emacs (1:26.1+1-4ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
    - Limit optimization on ppc64el to fix test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Sep 2019 08:34:21 +0200

emacs (1:26.1+1-3.3ubuntu2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:47:57 +0000

emacs (1:26.1+1-3.3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
    - Limit optimization on ppc64el to fix test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 23 Jul 2019 23:29:34 +0200

emacs (1:26.1+1-3.2ubuntu2) disco; urgency=medium

  * debian/control: Demote mailutils Recommends to a Suggests, as it's in
    universe, pulls in an MTA, and is nutty to require for a text editor.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 10 Apr 2019 14:53:21 -0600

emacs (1:26.1+1-3.2ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Limit optimization on ppc64el to fix test failure.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 05 Feb 2019 11:37:25 +0100

emacs (1:26.1+1-3ubuntu1) disco; urgency=medium

  * Limit optimization on ppc64el to fix test failure.
  * debian/patches/em-ls-tests-fix.patch:
    - Fix testsuite with upstream patch (Closes: #918646)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Jan 2019 16:46:11 +0100

=== debian/control ===
Source: emacs
Section: editors
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
 dbus-x11,
 gnupg-agent,
 libgif-dev,
 libtiff-dev,
 libsystemd-dev,
 procps,
 xaw3dg-dev,
 libpng-dev, libjpeg-dev, libm17n-dev, libotf-dev,
 libgpm-dev [linux-any], libdbus-1-dev,
 autoconf,
 automake,
 dpkg-dev (>> 1.10.0),
 quilt (>= 0.42),
 debhelper (>= 10),
 libxaw7-dev,
 sharutils,
 imagemagick,
 libgtk-3-dev,
 libgnutls28-dev, libxml2-dev, libselinux1-dev [linux-any],
 libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
 libmagick++-6.q16-dev,
 libacl1-dev,
 liboss4-salsa-dev [hurd-i386 kfreebsd-i386 kfreebsd-amd64],
 zlib1g-dev
Homepage: https://www.gnu.org/software/emacs/
Standards-Version: 3.7.2
Vcs-Browser: https://salsa.debian.org/rlb/deb-emacs
Vcs-Git: https://salsa.debian.org/rlb/deb-emacs.git

Package: emacs
Architecture: all
Depends:
  emacs-gtk (>= 1:26.3) | emacs-lucid (>= 1:26.3) | emacs-nox (>= 1:26.3),
  ${misc:Depends}
Description: GNU Emacs editor (metapackage)
 GNU Emacs is the extensible self-documenting text editor.
 This is a metapackage that will always depend on the latest
 recommended Emacs variant (currently emacs-gtk).

Package: emacs-lucid
Architecture: any
Depends:
  emacs-bin-common (= ${binary:Version}),
  emacs-common (= ${source:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
Suggests: emacs-common-gfdl
Conflicts: emacs-gtk, emacs-nox
Replaces: emacs-gtk, emacs-nox,
Description: GNU Emacs editor (with Lucid GUI support)
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains a version of Emacs with support for a graphical user
 interface based on the Lucid toolkit (instead of the GTK+ interface
 provided by the emacs-gtk package).  Until some known GTK+
 problems are fixed, this version may help avoid crashing Emacs during
 an emacsclient disconnect.  See
 https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=567934 and
 https://bugzilla.gnome.org/show_bug.cgi?id=85715 for more
 information.

Package: emacs-nox
Architecture: any
Depends:
  emacs-bin-common (= ${binary:Version}),
  emacs-common (= ${source:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
Suggests: emacs-common-gfdl
Conflicts: emacs-gtk, emacs-lucid
Replaces: emacs-gtk, emacs-lucid,
Description: GNU Emacs editor (without GUI support)
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains a version of Emacs compiled without support for X,
 and provides only a text terminal interface.

Package: emacs-gtk
Architecture: any
Depends:
  emacs-bin-common (= ${binary:Version}),
  emacs-common (= ${source:Version}),
  ${shlibs:Depends}, ${misc:Depends}
Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
Suggests: emacs-common-gfdl
Conflicts: emacs-lucid, emacs-nox
Replaces: emacs-lucid, emacs-nox,
Description: GNU Emacs editor (with GTK+ GUI support)
 GNU Emacs is the extensible self-documenting text editor.  This
 package contains a version of Emacs with a graphical user interface
 based on GTK+ (instead of the Lucid toolkit provided by the
 emacs-lucid package).

Package: emacs-bin-common
Architecture: any
Depends: emacs-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Suggests: mailutils
Description: GNU Emacs editor's shared, architecture dependent files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture dependent infrastructure
 that's shared by emacs-gtk, emacs-lucid, and emacs-nox.

Package: emacs-common
Architecture: all
Depends: emacsen-common (>= 3.0.0), install-info, ${misc:Depends}
Recommends: emacs-el
Suggests: emacs-common-gfdl, ncurses-term
Conflicts: emacs-el (<< ${source:Version}), cedet, eieio, speedbar, gnus-bonus-el
Breaks:
 emacs (<< 1:25),
 emacs-gtk (<< 1:25),
 emacs-lucid (<< 1:25),
 emacs-nox (<< 1:25),
 emacs21,
 emacs21-nox,
 emacs22,
 emacs22-gtk,
 emacs22-nox,
 emacs23,
 emacs23-lucid,
 emacs23-nox,
 emacs24,
 emacs24-lucid,
 emacs24-nox,
 emacs25,
 emacs25-lucid,
 emacs25-nox,
 apel (<< 10.8+0.20120427-4),
 edb (<< 1.32),
 egg (<< 4.2.0-2),
Description: GNU Emacs editor's shared, architecture independent infrastructure
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the architecture independent infrastructure
 that's shared by emacs-gtk, emacs-lucid, and emacs-nox.

Package: emacs-el
Architecture: all
Depends: emacs-common (= ${source:Version}), ${misc:Depends}
Description: GNU Emacs LISP (.el) files
 GNU Emacs is the extensible self-documenting text editor.
 This package contains the elisp sources for the convenience of users,
 saving space in the main package for small systems.

## emacs 26.3+1

=== debian/control ===
--- 
+++ 
@@ -50,7 +50,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-gfdl
+Suggests: emacs-common-non-dfsg
 Conflicts: emacs-gtk, emacs-nox
 Replaces: emacs-gtk, emacs-nox,
 Description: GNU Emacs editor (with Lucid GUI support)
@@ -71,7 +71,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-gfdl
+Suggests: emacs-common-non-dfsg
 Conflicts: emacs-gtk, emacs-lucid
 Replaces: emacs-gtk, emacs-lucid,
 Description: GNU Emacs editor (without GUI support)
@@ -86,7 +86,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-gfdl
+Suggests: emacs-common-non-dfsg
 Conflicts: emacs-lucid, emacs-nox
 Replaces: emacs-lucid, emacs-nox,
 Description: GNU Emacs editor (with GTK+ GUI support)
@@ -108,7 +108,7 @@
 Architecture: all
 Depends: emacsen-common (>= 3.0.0), install-info, ${misc:Depends}
 Recommends: emacs-el
-Suggests: emacs-common-gfdl, ncurses-term
+Suggests: emacs-common-non-dfsg, ncurses-term
 Conflicts: emacs-el (<< ${source:Version}), cedet, eieio, speedbar, gnus-bonus-el
 Breaks:
  emacs (<< 1:25),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# This file is licensed under the terms of the Gnu Public License.
# With the one additional provision that Ian Jackson's name may not be
# removed from the file.

# Copyright 1994,1995 Ian Jackson
# Copyright 2004-2005 Jrme Marant <jerome@debian.org>
# Copyright 1998-2017 Rob Browning <rlb@defaultvalue.org>

# Originally copied from the GNU Hello Debian rules file (1.3).
# Modified for emacs by Mark Eichin <eichin@kitten.gen.ma.us>.
# Debhelper support added via one of Joey Hess' example files.
# See the debian/changelog for further historical information.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

SHELL := /bin/bash
quilt := QUILT_PATCHES=debian/patches QUILT_PATCHES_PREFIX=y quilt
pf := set -o pipefail

# This package uses debian/source/format 3.0 (quilt).

# For now we assume that emacs' versioning scheme is always
# MAJOR.MINORtinyrev where MAJOR and MINOR are integers and tinyrev is
# an optional lowercase letter (or letters).  We also assume that
# upstream uses a numbering scheme that sorts in a "Debian friendly"
# way.  So far that's always been true.  If it becomes false, some of
# the values below will have to be set manually.

# (You might imagine that a VPATH build would allow us to avoid having
#  to copy the entire source tree for each of the three builds, but it
#  turns out that the emacs build process doesn't entirely respect the
#  VPATH and modifies all kinds of files in the srcdir (e.g. *.elc,
#  *.map, etc.).

# The official upstream version defined by AC_INIT in configure.in.
upstream_ver := $(shell debian/upstream-version)
ifeq (,$(upstream_ver))
  $(error 'Unable to find upstream version number.')
endif

# This must be the version that's actually used at runtime for things
# like load-path.  It may not be the same as the upstream version
# (i.e. when you have upstream 20.5a, the functional version may still
# be 20.5), so sometimes we may have to do this by hand.
runtime_ver := $(shell $(pf); echo $(upstream_ver) | perl -pe 's/[a-z]+$$//o')
major_ver := $(shell $(pf); echo $(runtime_ver) | perl -pe 's/\..*$$//o')
minor_ver := $(shell $(pf); echo $(runtime_ver) | perl -pe 's/^[^.]*\.//o')

# The name of the Debian source package
src_name := $(shell $(pf); dpkg-parsechangelog | egrep '^Source:')
src_name := $(shell $(pf); echo $(src_name) | perl -pe 's/Source:\s+//o')

# The version from the changelog (i.e. 20.5-1)
debian_ver := $(shell $(pf); dpkg-parsechangelog | egrep '^Version:')
debian_ver := $(shell $(pf); echo $(debian_ver) | perl -pe 's/Version:\s+//o')

# The Debian revision (i.e. the 1 from 20.5-1)
# Always everything after the last '-'
debian_rev := $(shell $(pf); echo $(debian_ver) | perl -pe 's/.*-//o')

# Might be 21.3, or it might be 21.3+1 if we've had to have more than
# one re-release of the upstream source (rare, but it happens), or if
# we have to split the package for DFSG purposes.  Always everything
# before the last '-'
debsrc_ver := $(shell $(pf); echo $(debian_ver) | perl -pe 's/-[^-]+$$//o')

######################################################################
# Customizable variables

bin_priority := 28

# This might also be something like 2006-09-09 for snapshots.
menu_ver := $(major_ver)

######################################################################

# Should these be exported like this (as autotools-dev recommends for
# the two vars below) or not?
export DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
export DEB_HOST_GNU_CPU ?= $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)

# As recommended by /usr/share/doc/autotools-dev/README.Debian.gz.
# Handle cross-compiling and don't make ./configure guess.
export DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

# FOR AUTOCONF 2.52 AND NEWER ONLY
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

deb_host_multiarch := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Without this, the build dies in marker.c when trying to create c-by.el
ifeq ($(DEB_HOST_ARCH),arm64)
  export DEB_CFLAGS_MAINT_APPEND := -O0
endif

ifeq ($(DEB_HOST_ARCH),ppc64el)
  export DEB_CFLAGS_MAINT_APPEND := -O2
endif

CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS += -Wall
LDFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
CPPFLAGS = $(shell dpkg-buildflags --get CPPFLAGS)

joblimit := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
ifeq (,$(joblimit))
  joblimit := 1
endif

# Info files that are going to show up in the main dir.
main_dir_info_files := efaq.info

# Files that the build stage depends on (may also be listed in other vars).
persistent_autogen_build_files := debian/copyright
nonpersistent_autogen_build_files :=

# These files must always exist, i.e. can't ever be cleaned.
persistent_autogen_install_files :=

nonpersistent_autogen_install_files := \
  debian/emacs-bin-common.postinst \
  debian/emacs-bin-common.prerm \
  debian/emacs-common.README.Debian \
  debian/emacs-common.postinst \
  debian/emacs-common.prerm \
  debian/emacs-nox.lintian-overrides \
  debian/emacs-nox.postinst \
  debian/emacs-nox.prerm \
  debian/emacs-lucid.lintian-overrides \
  debian/emacs-lucid.postinst \
  debian/emacs-lucid.prerm \
  debian/emacs-gtk.lintian-overrides \
  debian/emacs-gtk.postinst \
  debian/emacs-gtk.prerm

autogen_build_files := \
  $(nonpersistent_autogen_build_files) $(persistent_autogen_build_files)

autogen_install_files := \
  $(nonpersistent_autogen_install_files) $(persistent_autogen_install_files)

persistent_autogen_files := \
  $(persistent_autogen_build_files) $(persistent_autogen_install_files)

nonpersistent_autogen_files := \
  $(nonpersistent_autogen_build_files) $(nonpersistent_autogen_install_files)


# Build directories
pkgdir_common := $(CURDIR)/debian/emacs-common
pkgdir_bin_common := $(CURDIR)/debian/emacs-bin-common
pkgdir_gtk := $(CURDIR)/debian/emacs-gtk
pkgdir_nox := $(CURDIR)/debian/emacs-nox
pkgdir_lucid := $(CURDIR)/debian/emacs-lucid
pkgdir_el := $(CURDIR)/debian/emacs-el

install_dir_gtk := $(CURDIR)/debian/install-gtk
install_dir_nox := $(CURDIR)/debian/install-nox
install_dir_lucid := $(CURDIR)/debian/install-lucid

local_lpath := /etc/emacs
local_lpath := $(local_lpath):/usr/local/share/emacs/$(runtime_ver)/site-lisp
local_lpath := $(local_lpath):/usr/local/share/emacs/site-lisp
local_lpath := $(local_lpath):/usr/share/emacs/$(runtime_ver)/site-lisp
local_lpath := $(local_lpath):/usr/share/emacs/site-lisp

# Installation local_lpath
local_lpath_install \
  := $(pkgdir_common)/$(subst :,:$(pkgdir_common)/,$(local_lpath))

# If we ever need to do the stripping outside of dh_strip, just add an
# INSTALL_STRIP="-s" to the make vars below.

define emacs_inst
  $(MAKE) -C debian/$(1) install \
    DESTDIR=$(2) \
    infodir=/usr/share/info/emacs \
    localstatedir=/var
endef

# If we ever need it, we can create a copy that doesn't assume ./debian/
define deb_sub
  perl -p \
    -e "s|\@PKG_NAME\@|$(pkg_name)|go;" \
    -e "s|\@MAJOR_VERSION\@|$(major_ver)|go;" \
    -e "s|\@MINOR_VERSION\@|$(minor_ver)|go;" \
    -e "s|\@FULL_VERSION\@|$(runtime_ver)|go;" \
    -e "s|\@PACKAGE_VERSION\@|$(debian_ver)|go;" \
    -e "s|\@DEBIAN_REV\@|$(deb_rev)|go;" \
    -e "s|\@UPSTREAM_VERSION\@|$(upstream_ver)|go;" \
    -e "s|\@DEBSRC_VERSION\@|$(debsrc_ver)|go;" \
    -e "s|\@MENU_VERSION\@|$(menu_ver)|go;" \
    -e "s|\@X_SUPPORT\@|$(xsupport)|go;" \
    -e "s|\@BIN_PRIORITY\@|$(bin_priority)|go;" \
      < $(1) > $(2)
endef

%:
	dh $@

check-vars:
	@echo "src_name: $(src_name)"
	@echo "upstream_ver: $(upstream_ver)"
	@echo "debian_ver: $(debian_ver)"
	@echo "debsrc_ver: $(debsrc_ver)"
	@echo "debian_rev: $(debian_rev)"
	@echo "runtime_ver: $(runtime_ver)"
	@echo "major_ver: $(major_ver)"
	@echo "minor_ver: $(minor_ver)"

## emacs 27.1%2B1

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
  dbus-x11,
+ git,
  gnupg-agent,
  libgif-dev,
  libtiff-dev,
@@ -21,8 +22,12 @@
  libxaw7-dev,
  sharutils,
  imagemagick,
+ libcairo-dev,
+ libgmp-dev,
  libgtk-3-dev,
  libgnutls28-dev, libxml2-dev, libselinux1-dev [linux-any],
+ libharfbuzz-dev,
+ libjansson-dev,
  libasound2-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
  libmagick++-6.q16-dev,
  libacl1-dev,
@@ -36,7 +41,7 @@
 Package: emacs
 Architecture: all
 Depends:
-  emacs-gtk (>= 1:26.3) | emacs-lucid (>= 1:26.3) | emacs-nox (>= 1:26.3),
+  emacs-gtk (>= 1:27.1) | emacs-lucid (>= 1:27.1) | emacs-nox (>= 1:27.1),
   ${misc:Depends}
 Description: GNU Emacs editor (metapackage)
  GNU Emacs is the extensible self-documenting text editor.

## emacs 27.1%2B1-3ubuntu5%2B11.0trisquel1

=== debian/changelog ===
emacs (1:27.1+1-3ubuntu5+11.0trisquel1) aramo; urgency=medium

  * Adjust emacs suggestion to emacs-common-gfdl

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 10 Aug 2022 08:26:39 +0000

emacs (1:27.1+1-3ubuntu5) jammy; urgency=medium

  * debian/patches/glibc-2.34-signal-stack-fix.patch: cherry-pick fix from
    upstream to fix the FTBFS with our Ubuntu glibc 2.34.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Mon, 24 Jan 2022 16:35:51 +0100

emacs (1:27.1+1-3ubuntu4) jammy; urgency=medium

  * No-change rebuild against latest libotf

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 28 Nov 2021 11:08:38 -0500

emacs (1:27.1+1-3ubuntu3) hirsute; urgency=medium

  * Tag lscm test case as flakey.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 18 Jan 2021 10:55:28 +0000

emacs (1:27.1+1-3ubuntu2) hirsute; urgency=medium

  * Skip tests that require DNS lookups (LP: #1911209)
    - debian/patches/skip-dns-lookup-tests.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Tue, 12 Jan 2021 16:17:22 +0100

emacs (1:27.1+1-3ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Demote mailutils Recommends to a Suggests, as it's in
      universe, pulls in an MTA, and is nutty to require for a text editor.
    - Limit optimization on ppc64el to fix test failure.
    - Run 'python3' as default Python command instead of 'python'

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sun, 08 Nov 2020 03:18:49 +0000

emacs (1:27.1+1-3) unstable; urgency=medium

  * Strip parent path from package descriptions for reprodcibility.  Add
    0012-Strip-parent-path-from-package-descriptions-for-repr.patch to
    incorporate the changes.  Thanks to Chris Lamb for reporting the
    problem and tracking down the cause. (Closes: 972861)

  * Apply upstream patch to restore schemas.xml to fix nXML mode.  Add
    0013-Recover-the-contents-of-the-schemas.xml-file.patch to incorporate
    the changes.  Thanks to Yasuhiro KIMURA for reporting the problem and
    the fix.  (Closes: 973633)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 07 Nov 2020 16:16:23 -0600

emacs (1:27.1+1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 24 Oct 2020 11:31:42 -0500

emacs (1:27.1+1-1) experimental; urgency=medium

  * Merge upstream version 27.1.

  * Update debian/control for 27.1.

  * Update debian/copyright for 27.1.

  * Update debian/control build-deps for 27.1.

  * Fix emacs-module-tests to work with VPATH builds.  Add
    0011-emacs-module-tests-fix-VPATH-builds.patch to address the issue.

  * debian/rules: put new pdmp files in flavor-specific packages.

 -- Rob Browning <rlb@defaultvalue.org>  Sun, 23 Aug 2020 16:09:09 -0500

emacs (1:26.3+1-2) unstable; urgency=medium

  * Fix intermittent test failures in process-tests.  Add
    0012-The-Emacs-process-tests-should-no-longer-fail-interm.patch to
    address the issue.  Thanks to Ivo De Decker for reporting the problem,
    J. Smith for tracking down the upstream bug, and Nick Gasson for
    locating the upstream patch. (Closes: 944616)

 -- Rob Browning <rlb@defaultvalue.org>  Sat, 16 May 2020 19:25:51 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: emacs
 Section: editors
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
  dbus-x11,
@@ -55,7 +55,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-non-dfsg
+Suggests: emacs-common-gfdl
 Conflicts: emacs-gtk, emacs-nox
 Replaces: emacs-gtk, emacs-nox,
 Description: GNU Emacs editor (with Lucid GUI support)
@@ -76,7 +76,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-non-dfsg
+Suggests: emacs-common-gfdl
 Conflicts: emacs-gtk, emacs-lucid
 Replaces: emacs-gtk, emacs-lucid,
 Description: GNU Emacs editor (without GUI support)
@@ -91,7 +91,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-non-dfsg
+Suggests: emacs-common-gfdl
 Conflicts: emacs-lucid, emacs-nox
 Replaces: emacs-lucid, emacs-nox,
 Description: GNU Emacs editor (with GTK+ GUI support)
@@ -113,7 +113,7 @@
 Architecture: all
 Depends: emacsen-common (>= 3.0.0), install-info, ${misc:Depends}
 Recommends: emacs-el
-Suggests: emacs-common-non-dfsg, ncurses-term
+Suggests: emacs-common-gfdl, ncurses-term
 Conflicts: emacs-el (<< ${source:Version}), cedet, eieio, speedbar, gnus-bonus-el
 Breaks:
  emacs (<< 1:25),

## emacs 27.1+1

=== etc/refcards/Makefile ===
### Makefile for Emacs refcards

## Copyright (C) 1993-1994, 2001-2020 Free Software Foundation, Inc.

## This file is part of GNU Emacs.
#
## GNU Emacs is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation, either version 3 of the License, or
## (at your option) any later version.

## GNU Emacs is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.

## You should have received a copy of the GNU General Public License
## along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.

### Commentary:

## See README for details.

PDF_ENGLISH = \
	calccard.pdf \
	dired-ref.pdf \
	gnus-booklet.pdf \
	gnus-refcard.pdf \
	orgcard.pdf \
	refcard.pdf \
	survival.pdf \
	vipcard.pdf \
	viperCard.pdf

PDF_CZECH = \
	cs-dired-ref.pdf \
	cs-refcard.pdf \
	cs-survival.pdf

PDF_FRENCH = \
	fr-dired-ref.pdf \
	fr-refcard.pdf \
	fr-survival.pdf

PDF_GERMAN = de-refcard.pdf

PDF_POLISH = pl-refcard.pdf

PDF_PORTUGUESE = pt-br-refcard.pdf

PDF_RUSSIAN = ru-refcard.pdf

PDF_SLOVAKIAN = \
	sk-dired-ref.pdf \
	sk-refcard.pdf \
	sk-survival.pdf

PDF_TARGETS = $(PDF_ENGLISH) $(PDF_CZECH) $(PDF_FRENCH) $(PDF_GERMAN) \
	$(PDF_POLISH) $(PDF_PORTUGUESE) $(PDF_RUSSIAN) $(PDF_SLOVAKIAN)

PS_ENGLISH = $(PDF_ENGLISH:.pdf=.ps)
PS_CZECH = $(PDF_CZECH:.pdf=.ps)
PS_FRENCH = $(PDF_FRENCH:.pdf=.ps)
PS_GERMAN = $(PDF_GERMAN:.pdf=.ps)
PS_POLISH = $(PDF_POLISH:.pdf=.ps)
PS_PORTUGUESE = $(PDF_PORTUGUESE:.pdf=.ps)
PS_RUSSIAN = $(PDF_RUSSIAN:.pdf=.ps)
PS_SLOVAKIAN = $(PDF_SLOVAKIAN:.pdf=.ps)

PS_TARGETS = $(PDF_TARGETS:.pdf=.ps)


## For emacsver.tex.
ENVADD = TEXINPUTS=".:$(TEXINPUTS)"


.PHONY: all pdf ps

all: pdf
pdf: $(PDF_TARGETS)
ps: $(PS_TARGETS)


.PHONY: english czech french german polish portuguese russian slovakian
english: $(PDF_ENGLISH)
czech: $(PDF_CZECH)
french: $(PDF_FRENCH)
german: $(PDF_GERMAN)
polish: $(PDF_POLISH)
portuguese: $(PDF_PORTUGUESE)
russian: $(PDF_RUSSIAN)
slovakian: $(PDF_SLOVAKIAN)

.PHONY: english-ps czech-ps french-ps german-ps polish-ps portuguese-ps russian-ps slovakian-ps
english-ps: $(PS_ENGLISH)
czech-ps: $(PS_CZECH)
french-ps: $(PS_FRENCH)
german-ps: $(PS_GERMAN)
polish-ps: $(PS_POLISH)
portuguese-ps: $(PS_PORTUGUESE)
russian-ps: $(PS_RUSSIAN)
slovakian-ps: $(PS_SLOVAKIAN)


## Default for file that do not use a different paper size.
.SUFFIXES: .ps .dvi
.dvi.ps:
	dvips -t letter -o $@ $<


make_cs=if pdfcsplain --version > /dev/null 2> /dev/null; then \
	  $(ENVADD) pdfcsplain $$input; \
	else \
	  $(ENVADD) csplain "\pdfoutput=1\input $$input"; \
	fi

## For pdf output, the page layouts (a4/letter) are written directly
## in the .tex files.

## For PostScript output, note that some of the tex files (refcard,
## de-refcard, fr-refcard, pt-br-refcard) have settings for letter or
## a4 paper.  The Following are the default paper sizes (letter for English,
## A4 for translations).
## FIXME orgcard.ps does not fit on letter (see orgcard.tex).

## A4, landscape: de-refcard, fr-refcard, pt-br-refcard orgcard
## A4, portrait: cs-*, fr-dired-ref, sk-*, pl-refcard, ru-refcard
## Letter, landscape: calccard, refcard
## Letter, portrait (suffix rule): dired-ref, gnus-*, survival, vip*

calccard_deps = calccard.tex emacsver.tex pdflayout.sty
calccard.pdf: $(calccard_deps)
	$(ENVADD) pdftex calccard.tex
calccard.dvi: $(calccard_deps)
	$(ENVADD) tex calccard.tex
calccard.ps: calccard.dvi
	dvips -t letter -t landscape -o $@ calccard.dvi

cs_dired_ref_deps = cs-dired-ref.tex emacsver.tex pdflayout.sty
cs-dired-ref.pdf: $(cs_dired_ref_deps)
	input=cs-dired-ref.tex; $(make_cs)
cs-dired-ref.dvi: $(cs_dired_ref_deps)
	$(ENVADD) csplain cs-dired-ref.tex
cs-dired-ref.ps: cs-dired-ref.dvi
	dvips -t a4 -o $@ cs-dired-ref.dvi

cs_refcard_deps = cs-refcard.tex emacsver.tex pdflayout.sty
cs-refcard.pdf: $(cs_refcard_deps)
	input=cs-refcard.tex; $(make_cs)
cs-refcard.dvi: $(cs_refcard_deps)
	$(ENVADD) csplain cs-refcard.tex
cs-refcard.ps: cs-refcard.dvi
	dvips -t a4 -o $@ cs-refcard.dvi

cs_survival_deps = cs-survival.tex emacsver.tex pdflayout.sty
cs-survival.pdf: $(cs_survival_deps)
	input=cs-survival.tex; $(make_cs)
cs-survival.dvi: $(cs_survival_deps)
	$(ENVADD) csplain cs-survival.tex
cs-survival.ps: cs-survival.dvi
	dvips -t a4 -o $@ cs-survival.dvi

de_refcard_deps = de-refcard.tex emacsver.tex pdflayout.sty
de-refcard.pdf: $(de_refcard_deps)
	$(ENVADD) pdftex de-refcard.tex
de-refcard.dvi: $(de_refcard_deps)
	$(ENVADD) tex de-refcard.tex
de-refcard.ps: de-refcard.dvi
	dvips -t a4 -t landscape -o $@ de-refcard.dvi

dired_ref_deps = dired-ref.tex emacsver.tex pdflayout.sty
dired-ref.pdf: $(dired_ref_deps)
	$(ENVADD) pdftex dired-ref.tex
dired-ref.dvi: $(dired_ref_deps)
	$(ENVADD) tex dired-ref.tex

fr_dired_ref_deps = fr-dired-ref.tex emacsver.tex pdflayout.sty
fr-dired-ref.pdf: $(fr_dired_ref_deps)
	$(ENVADD) pdftex fr-dired-ref.tex
fr-dired-ref.dvi: $(fr_dired_ref_deps)
	$(ENVADD) tex fr-dired-ref.tex
fr-dired-ref.ps: fr-dired-ref.dvi
	dvips -t a4 -o $@ fr-dired-ref.dvi

fr_refcard_deps = fr-refcard.tex emacsver.tex pdflayout.sty
fr-refcard.pdf: $(fr_refcard_deps)
	$(ENVADD) pdftex fr-refcard.tex
fr-refcard.dvi: $(fr_refcard_deps)
	$(ENVADD) tex fr-refcard.tex
fr-refcard.ps: fr-refcard.dvi
	dvips -t a4 -t landscape -o $@ fr-refcard.dvi

fr_survival_deps = fr-survival.tex emacsver.tex pdflayout.sty
fr-survival.pdf: $(fr_survival_deps)
	$(ENVADD) pdftex fr-survival.tex
fr-survival.dvi: $(fr_survival_deps)
	$(ENVADD) tex fr-survival.tex
fr-survival.ps: fr-survival.dvi
	dvips -t a4 -o $@ fr-survival.dvi

## No dependency on emacsver.tex, pdflayout.sty; no need for ENVADD.
gnus_booklet_deps = gnus-refcard.tex gnus-logo.pdf
gnus-booklet.pdf: $(gnus_booklet_deps)
	pdflatex -jobname=gnus-booklet '\def\booklettrue{}\def\letterpapertrue{}\input{gnus-refcard}'
gnus-booklet.dvi: gnus-refcard.tex gnus-logo.eps
	latex '\def\booklettrue{}\def\letterpapertrue{}\input{gnus-refcard}'
	mv gnus-refcard.dvi $@

###gnus-logo.pdf: gnus-logo.eps
###	ps2pdf gnus-logo.eps

## No dependency on emacsver.tex, pdflayout.sty; no need for ENVADD.
gnus_refcard_deps = gnus-refcard.tex gnus-logo.pdf
gnus-refcard.pdf: $(gnus_refcard_deps)
	pdflatex gnus-refcard.tex
gnus-refcard.dvi: $(gnus_refcard_deps)
	latex gnus-refcard.tex

orgcard_deps = orgcard.tex emacsver.tex pdflayout.sty
orgcard.pdf: $(orgcard_deps)
	$(ENVADD) pdftex orgcard.tex
orgcard.dvi: $(orgcard_deps)
	$(ENVADD) tex orgcard.tex
orgcard.ps: orgcard.dvi
	dvips -t a4 -t landscape -o $@ orgcard.dvi

pl_refcard_deps = pl-refcard.tex emacsver.tex pdflayout.sty
## Some versions of pdfmex seem to create dvi by default, hence output-format.
pl-refcard.pdf: $(pl_refcard_deps)
	if ! kpsewhich -format=fmt mex > /dev/null && \
	  ! pdfmex --version > /dev/null 2> /dev/null; then \
	  echo "No mex format found."; false; \
	fi
	$(ENVADD) pdftex -output-format=pdf pl-refcard.tex
pl-refcard.dvi: $(pl_refcard_deps)
	if ! kpsewhich -format=fmt mex > /dev/null; then \
	  echo "No mex format found."; false; \
	fi
	$(ENVADD) tex pl-refcard.tex
pl-refcard.ps: pl-refcard.dvi
	dvips -t a4 -o $@ pl-refcard.dvi

pt_br_refcard_deps = pt-br-refcard.tex emacsver.tex pdflayout.sty
pt-br-refcard.pdf: $(pt_br_refcard_deps)
	$(ENVADD) pdftex pt-br-refcard.tex
pt-br-refcard.dvi: $(pt_br_refcard_deps)
	$(ENVADD) tex pt-br-refcard.tex
pt-br-refcard.ps: pt-br-refcard.dvi
	dvips -t a4 -t landscape -o $@ pt-br-refcard.dvi

refcard_deps = refcard.tex emacsver.tex pdflayout.sty
refcard.pdf: $(refcard_deps)
	$(ENVADD) pdftex refcard.tex
refcard.dvi: $(refcard_deps)
	$(ENVADD) tex refcard.tex
refcard.ps: refcard.dvi
	dvips -t letter -t landscape -o $@ refcard.dvi

## No dependency on emacsver.tex, pdflayout.sty; no need for ENVADD.
ru_refcard_deps = ru-refcard.tex
ru-refcard.pdf: $(ru_refcard_deps)
	pdflatex ru-refcard.tex
ru-refcard.dvi: $(ru_refcard_deps)
	latex ru-refcard.tex
ru-refcard.ps: ru-refcard.dvi
	dvips -t a4 -o $@ ru-refcard.dvi

sk_dired_ref_deps = sk-dired-ref.tex emacsver.tex pdflayout.sty
sk-dired-ref.pdf: $(sk_dired_ref_deps)
	input=sk-dired-ref.tex; $(make_cs)
sk-dired-ref.dvi: $(sk_dired_ref_deps)
	$(ENVADD) csplain sk-dired-ref.tex
sk-dired-ref.ps: sk-dired-ref.dvi
	dvips -t a4 -o $@ sk-dired-ref.dvi

sk_refcard_deps = sk-refcard.tex emacsver.tex pdflayout.sty
sk-refcard.pdf: $(sk_refcard_deps)
	input=sk-refcard.tex; $(make_cs)
sk-refcard.dvi: $(sk_refcard_deps)
	$(ENVADD) csplain sk-refcard.tex
sk-refcard.ps: sk-refcard.dvi
	dvips -t a4 -o $@ sk-refcard.dvi

sk_survival_deps = sk-survival.tex emacsver.tex pdflayout.sty
sk-survival.pdf: $(sk_survival_deps)
	input=sk-survival.tex; $(make_cs)
sk-survival.dvi: $(sk_survival_deps)
	$(ENVADD) csplain sk-survival.tex
sk-survival.ps: sk-survival.dvi
	dvips -t a4 -o $@ sk-survival.dvi

survival_deps = survival.tex emacsver.tex pdflayout.sty
survival.pdf: $(survival_deps)
	$(ENVADD) pdftex survival.tex
survival.dvi: $(survival_deps)
	$(ENVADD) tex survival.tex

vipcard_deps = vipcard.tex emacsver.tex pdflayout.sty
vipcard.pdf: $(vipcard_deps)
	$(ENVADD) pdftex vipcard.tex
vipcard.dvi: $(vipcard_deps)
	$(ENVADD) tex vipcard.tex

vipercard_deps = viperCard.tex emacsver.tex pdflayout.sty
viperCard.pdf: $(vipercard_deps)
	$(ENVADD) pdftex viperCard.tex
viperCard.dvi: $(vipercard_deps)
	$(ENVADD) tex viperCard.tex


.PHONY: clean

clean:
	-rm -f ./*.dvi ./*.log ./*.aux

distclean: clean

## This should really by maintainer-clean, but the handling of the
## refcards is funny.  So abuse extraclean for this.
extraclean: clean
	-rm -f $(PDF_TARGETS) $(PS_TARGETS)

## For the Emacs website.
dist:
	rm -rf emacs-refcards
	mkdir emacs-refcards
	cp Makefile README *.tex gnus-logo.* pdflayout.sty emacs-refcards/
	tar -cf emacs-refcards.tar emacs-refcards
	rm -rf emacs-refcards

### Makefile ends here

=== test/manual/etags/Makefile ===
ADASRC=$(addprefix ./ada-src/,etags-test-for.ada 2ataspri.adb 2ataspri.ads waroquiers.ada)
ASRC=$(addprefix ./a-src/,empty.zz empty.zz.gz)
CSRC=$(addprefix ./c-src/,abbrev.c .//c.c torture.c getopt.h etags.c\
 exit.c exit.strange_suffix sysdep.h tab.c dostorture.c\
 emacs/src/gmalloc.c emacs/src/regex.h emacs/src/keyboard.c emacs/src/lisp.h\
 machsyscalls.c machsyscalls.h fail.c a/b/b.c) ../etags/c-src/h.h
CPSRC=$(addprefix ./cp-src/,c.C x.cc burton.cpp burton.cpp\
 functions.cpp MDiagArray2.h Range.h\
 screen.cpp screen.hpp conway.cpp conway.hpp clheir.cpp.gz clheir.hpp.gz fail.C)
ELSRC=$(addprefix ./el-src/,TAGTEST.EL emacs/lisp/progmodes/etags.el)
ERLSRC=$(addprefix ./erl-src/,gs_dialog.erl)
FORTHSRC=$(addprefix ./forth-src/,test-forth.fth)
FSRC=$(addprefix ./f-src/,entry.for entry.strange_suffix entry.strange)
GOSRC=$(addprefix ./go-src/,test.go test1.go)
HTMLSRC=$(addprefix ./html-src/,softwarelibero.html index.shtml algrthms.html software.html)
#JAVASRC=$(addprefix ./java-src/, )
LUASRC=$(addprefix ./lua-src/,allegro.lua test.lua)
MAKESRC=$(addprefix ./make-src/,Makefile)
OBJCSRC=$(addprefix ./objc-src/,Subprocess.h Subprocess.m PackInsp.h PackInsp.m)
OBJCPPSRC=$(addprefix ./objcpp-src/,SimpleCalc.H SimpleCalc.M)
PASSRC=$(addprefix ./pas-src/,common.pas)
PERLSRC=$(addprefix ./perl-src/,htlmify-cystic yagrip.pl kai-test.pl)
PHPSRC=$(addprefix ./php-src/,lce_functions.php ptest.php sendmail.php)
PSSRC=$(addprefix ./ps-src/,rfc1245.ps)
PROLSRC=$(addprefix ./prol-src/,ordsets.prolog natded.prolog)
PYTSRC=$(addprefix ./pyt-src/,server.py)
RBSRC=$(addprefix ./ruby-src/,test.rb test1.ru)
SCMSRC=$(addprefix ./scm-src/,test.scm)
TEXSRC=$(addprefix ./tex-src/,testenv.tex gzip.texi texinfo.tex nonewline.tex)
YSRC=$(addprefix ./y-src/,parse.y parse.c atest.y cccp.c cccp.y)
SRCS=${ADASRC} ${ASRC} ${CSRC} ${CPSRC} ${ELSRC} ${ERLSRC} ${FSRC}\
     ${FORTHSRC} ${GOSRC} ${HTMLSRC} ${JAVASRC} ${LUASRC} ${MAKESRC}\
     ${OBJCSRC} ${OBJCPPSRC} ${PASSRC} ${PHPSRC} ${PERLSRC} ${PSSRC}\
     ${PROLSRC} ${PYTSRC} ${RBSRC} ${SCMSRC} ${TEXSRC} ${YSRC}
NONSRCS=./f-src/entry.strange ./erl-src/lists.erl ./cp-src/clheir.hpp.gz

ETAGS_PROG=../../../lib-src/etags
CTAGS_PROG=../../../lib-src/ctags

REGEX=/[ \t]*DEFVAR_[A-Z_ \t\n(]+"\([^"]+\)"/
xx="this line is here because of a fontlock bug

RUN=

OPTIONS=--members --declarations --regex=@regexfile
ARGS=- < srclist

infiles = $(filter-out ${NONSRCS},${SRCS}) srclist regexfile

.PHONY: check cdiff ETAGS CTAGS
# Can't make ediff_1 through ediff_5 .PHONY, as they're implicit.

check:
	@$(MAKE) OPTIONS='--no-members' ediff_1
	@$(MAKE) OPTIONS='--declarations --no-members' ediff_2
	@$(MAKE) OPTIONS='--members' ediff_3
	@$(MAKE) OPTIONS='--regex=@regexfile --no-members' ediff_4
	@$(MAKE) OPTIONS='nonexistent --members --declarations --regex=@regexfile' ediff_5
	@$(MAKE) OPTIONS='--class-qualify --members --declarations --regex=@regexfile' ediff_6
	@$(MAKE) cdiff

ediff%: ETAGS.good% ETAGS ${infiles}
	diff -u --suppress-common-lines --width=80 ETAGS.good$* ETAGS

cdiff: CTAGS.good CTAGS ${infiles}
	diff -u --suppress-common-lines --width=80 CTAGS.good CTAGS

ETAGS: ${infiles}
	${RUN} ${ETAGS_PROG} ${OPTIONS} -o $@ ${ARGS}

CTAGS: ${infiles}
	${RUN} ${CTAGS_PROG} -o $@ --regex=@regexfile ${ARGS}

srclist: Makefile
	@for i in $(SRCS); do echo $$i; done > srclist
	@echo "srclist remade"

regexfile: Makefile
	@echo '	-- This is for GNU Emacs source files' > regexfile
	@printf '%s\n' '${REGEX}' >> regexfile
	@printf '%s\n' '{c}${REGEX}\\1/m' >> regexfile
	@echo "regexfile remade"

=== debian/changelog ===
emacs (1:27.1+1-3.1+deb11u5) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * org-link-expand-abbrev: Do not evaluate arbitrary unsafe Elisp code
    (CVE-2024-39331) (Closes: #1074137)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 25 Jun 2024 07:37:54 +0200

emacs (1:27.1+1-3.1+deb11u4) bullseye; urgency=high

  * Fix memory leak in patch for CVE-2022-48337 (Closes: #1031888).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sun, 26 May 2024 09:43:09 +0100

emacs (1:27.1+1-3.1+deb11u3) bullseye; urgency=high

  * Fix CVE-2024-30203, CVE-2024-30204 & CVE-2024-30205 (Closes: #1067630).

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 27 Apr 2024 12:16:08 +0100

emacs (1:27.1+1-3.1+deb11u2) bullseye-security; urgency=medium

  * CVE-2022-48337 CVE-2022-48338 CVE-2022-48339 (Closes: #1031730)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 22 Feb 2023 22:08:26 +0100

emacs (1:27.1+1-3.1+deb11u1) bullseye-security; urgency=medium

  * Fix CVE-2022-45939.
    Add 0015-Fixed-ctags-local-command-execute-vulnerability.patch to
    address the problem. (Closes: 1025009)

 -- Moritz Mühlenhoff <jmm@debian.org>  Wed, 04 Jan 2023 20:23:36 +0100

emacs (1:27.1+1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/p/0014-Skip-tests-that-require-Internet-when-there-s-no-Int.patch:
    Skip tests that require internet connection, fixing a FTBFS.
    (Closes: #982969)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 20 Mar 2021 17:41:44 -0400

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: emacs
 Section: editors
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
-XSBC-Original-Maintainer: Rob Browning <rlb@defaultvalue.org>
+Maintainer: Rob Browning <rlb@defaultvalue.org>
 Build-Depends: bsd-mailx | mailx, libncurses5-dev, texinfo, liblockfile-dev, librsvg2-dev,
  dbus-x11,
  git,
@@ -55,7 +54,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-gfdl
+Suggests: emacs-common-non-dfsg
 Conflicts: emacs-gtk, emacs-nox
 Replaces: emacs-gtk, emacs-nox,
 Description: GNU Emacs editor (with Lucid GUI support)
@@ -76,7 +75,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-gfdl
+Suggests: emacs-common-non-dfsg
 Conflicts: emacs-gtk, emacs-lucid
 Replaces: emacs-gtk, emacs-lucid,
 Description: GNU Emacs editor (without GUI support)
@@ -91,7 +90,7 @@
   emacs-common (= ${source:Version}),
   ${shlibs:Depends}, ${misc:Depends}
 Provides: emacs, emacsen, editor, info-browser, mail-reader, news-reader
-Suggests: emacs-common-gfdl
+Suggests: emacs-common-non-dfsg
 Conflicts: emacs-lucid, emacs-nox
 Replaces: emacs-lucid, emacs-nox,
 Description: GNU Emacs editor (with GTK+ GUI support)
@@ -103,7 +102,7 @@
 Package: emacs-bin-common
 Architecture: any
 Depends: emacs-common (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
-Suggests: mailutils
+Recommends: mailutils
 Description: GNU Emacs editor's shared, architecture dependent files
  GNU Emacs is the extensible self-documenting text editor.
  This package contains the architecture dependent infrastructure
@@ -113,7 +112,7 @@
 Architecture: all
 Depends: emacsen-common (>= 3.0.0), install-info, ${misc:Depends}
 Recommends: emacs-el
-Suggests: emacs-common-gfdl, ncurses-term
+Suggests: emacs-common-non-dfsg, ncurses-term
 Conflicts: emacs-el (<< ${source:Version}), cedet, eieio, speedbar, gnus-bonus-el
 Breaks:
  emacs (<< 1:25),

=== debian/rules ===
--- 
+++ 
@@ -100,10 +100,6 @@
 # Without this, the build dies in marker.c when trying to create c-by.el
 ifeq ($(DEB_HOST_ARCH),arm64)
   export DEB_CFLAGS_MAINT_APPEND := -O0
-endif
-
-ifeq ($(DEB_HOST_ARCH),ppc64el)
-  export DEB_CFLAGS_MAINT_APPEND := -O2
 endif
 
 CFLAGS = $(shell dpkg-buildflags --get CFLAGS)
@@ -217,3 +213,4 @@
 	@echo "major_ver: $(major_ver)"
 	@echo "minor_ver: $(minor_ver)"
 
+.PHONY: check-autogen
